Get Addresses

Retrieve a list of shipping addresses for your customer account in the system. With this endpoint, you can get specific addresses based on various parameters, providing pagination and sorting features to help manage results effectively.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string

A string representing the term or keywords used to filter the search results for the addresses.This parameter helps you find specific addresses by different attributes.

int32
1 to 2147483647
Defaults to 100

An integer that defines the number of address records returned per page in the response. For instance, if pageSize is set to 20, the API will return up to 20 addresses in each response.

Note: By default, this value is set to 100

int32
1 to 2147483647
Defaults to 1

An integer indicating the specific page of results to retrieve, allowing for pagination of larger datasets. For example, if pageNumber is set to 3, the API will return the results corresponding to the third page of addresses based on the specified pageSize.

Note: By default, this value is set to 1.

string
enum

A string specifying the field by which to organise the search results. For instance, "ContactName" could be used to sort addresses alphabetically, arranging the results in a more user-friendly order.

Note: By default, this field is set to ContactName.

Allowed:
string
enum

A string indicating the direction in which to sort the results, typically set to "ascending" or "descending." For example, setting sortDir to "Ascending" while using "ContactName" as sortBy would arrange the addresses from A to Z.

Note: By default, this field is set to Ascending.

Allowed:
Responses

401

Unauthorized

403

Forbidden

500

Internal Server Error

Language
Credentials
OAuth2
LoadingLoading…
Response
Choose an example:
application/json